Package net.shibboleth.idp.installer.impl

# Class V5Install.KeyManagement

java.lang.Object
net.shibboleth.idp.installer.impl.V5Install.KeyManagement

Enclosing class:
  V5Install

private class V5Install.KeyManagement extends Object
Create (if needs be) all the keys needed by an install.

## Field Summary

Fields
Modifier and Type
Field
Description
`private boolean`
`createdBackchannel`
Did we create idp-backchannel.*?
`private boolean`
`createdEncryption`
Did we create idp-encryption.*?
`private boolean`
`createdSealer`
Did we create sealer.*?
`private boolean`
`createdSigning`
Did we create idp-signing.*?

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`KeyManagement()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`execute()`
Create any keys that are needed.
`private boolean`
`generateKey(String fileBase)`
Helper method for `execute()` to generate a crt and key file.
`private void`
`generateKeyStore()`
Deprecated.
We really do not need backchannel stuff in V6
`private void`
`generateSealer()`
Helper method for `execute()` to generate the Sealer.
`boolean`
`isCreatedBackchannel()`
Did we create idp-backchannel.*?
`boolean`
`isCreatedEncryption()`
Did we create idp-encryption.*?
`boolean`
`isCreatedSealer()`
Did we create sealer.*?
`boolean`
`isCreatedSigning()`
Did we create idp-signing.*?

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### createdSigning

private boolean createdSigning
Did we create idp-signing.*?

### createdEncryption

private boolean createdEncryption
Did we create idp-encryption.*?

### createdBackchannel

private boolean createdBackchannel
Did we create idp-backchannel.*?

### createdSealer

private boolean createdSealer
Did we create sealer.*?

## Constructor Details

### KeyManagement

private KeyManagement()

## Method Details

### execute

protected void execute() throws org.apache.tools.ant.BuildException
Create any keys that are needed.

Throws:
  `org.apache.tools.ant.BuildException` - if badness occurs

### generateKey

private boolean generateKey(String fileBase) throws org.apache.tools.ant.BuildException
Helper method for `execute()` to generate a crt and key file.

Parameters:
  `fileBase` - the partial file name
Returns:
  true iff the file pair was created
Throws:
  `org.apache.tools.ant.BuildException` - if badness occurrs.

### generateKeyStore

private void generateKeyStore()
Deprecated.
We really do not need backchannel stuff in V6
Helper method for `execute()` to generate the backchannel keystore.

Throws:
  `org.apache.tools.ant.BuildException` - if badness occurs.

### generateSealer

private void generateSealer()
Helper method for `execute()` to generate the Sealer.

Throws:
  `org.apache.tools.ant.BuildException` - if badness occurs.

### isCreatedSigning

public boolean isCreatedSigning()
Did we create idp-signing.*?

Returns:
  whether we did

### isCreatedEncryption

public boolean isCreatedEncryption()
Did we create idp-encryption.*?

Returns:
  whether we did

### isCreatedBackchannel

public boolean isCreatedBackchannel()
Did we create idp-backchannel.*?

Returns:
  whether we did

### isCreatedSealer

public boolean isCreatedSealer()
Did we create sealer.*?

Returns:
  whether we did